#ifdef VERTEX_SHADER
attribute highp   vec3  a_vertex;
uniform highp mat4  u_mvpMatrix;		// model view projection transformation

void main()
	{
	gl_Position = u_mvpMatrix * vec4(a_vertex, 1.0);
	}
#endif

#ifdef FRAGMENT_SHADER
void main()
	{
	gl_FragColor.r = 1.0-gl_FragCoord.z;
	}
#endif
